import request from '@/assets/js/utils/request'
/*
* 供货记录管理API接口
* */

//  供货记录列表
export function listSupplyRecordPages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/supplyRecord/listSupplyRecordPages',
    method: 'post',
    data
  })
}
//  供货记录列表审核通过
export function listSupplyRecordAuditPages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/supplyRecord/listSupplyRecordAuditPages',
    method: 'post',
    data
  })
}
//  供货记录字典
export function getSupplyRecordDictionaries() {
  return request({
    url: '/bidprocurement/common-supplier/supplier/supplyRecord/getSupplyRecordDictionaries',
    method: 'post'
  })
}
//  保存记录列表
export function saveSupplyRecordInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/supplyRecord/saveSupplyRecordInfo',
    method: 'post',
    data
  })
}
//  编辑查询供货记录
export function querySupplyRecordInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/supplyRecord/querySupplyRecordInfo',
    method: 'post',
    data
  })
}
//  删除供货记录
export function removeSupplyRecord(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/supplyRecord/removeSupplyRecord',
    method: 'post',
    data
  })
}
